#**************************************************************************
#*                                                                        *
#*                                 OCaml                                  *
#*                                                                        *
#*                         Christophe Troestler                           *
#*                                                                        *
#*   Copyright 2015 Christophe Troestler                                  *
#*                                                                        *
#*   All rights reserved.  This file is distributed under the terms of    *
#*   the GNU Lesser General Public License version 2.1, with the          *
#*   special exception on linking described in the file LICENSE.          *
#*                                                                        *
#**************************************************************************

# Compile the 64 bits version
platform:
  - x64

image: Visual Studio 2015

# Do a shallow clone of the repo to speed up the build
clone_depth: 1

environment:
  global:
    CYG_ROOT: C:/cygwin64
    CYG_MIRROR: http://mirrors.kernel.org/sourceware/cygwin/
    CYG_CACHE: C:/cygwin64/var/cache/setup
    FLEXDLL_VERSION: 0.38
    OCAMLRUNPARAM: v=0,b
  matrix:
    - PORT: mingw32
    - PORT: msvc64

matrix:
  fast_finish: true

cache:
  - C:\cygwin64\var\cache\setup
  - C:\projects\cache

install:
# This is a hangover from monitoring effects of MPR#7452
  - wmic cpu get name
  - call "%APPVEYOR_BUILD_FOLDER%\tools\ci\appveyor\appveyor_build.cmd" install

build_script:
  - call "%APPVEYOR_BUILD_FOLDER%\tools\ci\appveyor\appveyor_build.cmd" build

test_script:
  - call "%APPVEYOR_BUILD_FOLDER%\tools\ci\appveyor\appveyor_build.cmd" test
